#include <stdio.h>
#include <stdio.h>
#include <string.h>

#ifdef __i386__
#include "libpge32.h"
#else
#include "libpge.h"
#endif

void initTreeParams(char* Roots, char* Nodes, char* NonTrig, char* Leafs, GoInt UsableVarsN, GoInt MaxSize, GoInt MinSize, GoInt MaxDepth, GoInt MinDepth) {
	InitTreeParams(Roots, Nodes, NonTrig, Leafs, UsableVarsN, MaxSize, MinSize, MaxDepth, MinDepth);
}

void addTrainData(char* indepNames, char* depndNames, void* matrix, GoInt nEntries) {
	AddTrainData(indepNames, depndNames, matrix, nEntries);
}

void addTestData(char* indepNames, char* depndNames, void* matrix, GoInt nEntries) {
	AddTestData(indepNames, depndNames, matrix, nEntries);
}

char* getStepResult(GoInt* testscore, GoInt* ncoeff) {
	return GetStepResult(testscore, ncoeff);
}

void initSearch(GoInt maxGen, GoInt pgeRptEpoch, GoInt pgeRptCount, GoInt pgeArchiveCap, GoInt peelCnt, GoInt evalrCount, GoFloat64 zeroEpsilon, char* initMethod, char* growMethod, GoInt sortType) {
	InitSearch(maxGen, pgeRptEpoch, pgeRptCount, pgeArchiveCap, peelCnt, evalrCount, zeroEpsilon, initMethod, growMethod, sortType);
}

void initProblem(char* Name, GoInt MaxIter, GoFloat64 HitRatio, GoInt SearchVar, char* ProblemTypeString, GoInt numProcs) {
	 InitProblem(Name, MaxIter, HitRatio, SearchVar, ProblemTypeString, numProcs);
}

int getBestResults() {
	return GetBestResults();
}

GoFloat64 getCoeffResult() {
	return GetCoeffResult();
}

GoInt getMaxIterW() {
	return GetMaxIterW();
}

void setMaxIterW(GoInt iter) {
	SetMaxIterW(iter);
}

void setPeelCountW(GoInt cnt) {
	SetPeelCountW(cnt);
}

void setInitMethodW(GoString init) {
	SetInitMethodW(init);
}

void setGrowMethodW(GoString grow) {
	SetGrowMethodW(grow);
}

void setEvalrCountW(GoInt cnt) {
	SetEvalrCountW(cnt);
}

void evaluateW() {
	EvaluateW();
}

void runW() {
	RunW();
}

void loopW() {
	LoopW();
}

int stepW() {
	return StepW();
}

void cleanW() {
	CleanW();
}